diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/TaxonNodeByNameComparator.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/TaxonNodeByNameComparator.java
index 1b2327989e..82630dc687 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/TaxonNodeByNameComparator.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/TaxonNodeByNameComparator.java
@@ -15,7 +15,7 @@ import java.util.StringTokenizer;
 import org.apache.log4j.Logger;
 import org.springframework.stereotype.Component;
 
-import eu.etaxonomy.cdm.model.common.AbstractStringComparator;
+import eu.etaxonomy.cdm.common.AbstractStringComparator;
 import eu.etaxonomy.cdm.model.name.NonViralName;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 
@@ -26,7 +26,7 @@ import eu.etaxonomy.cdm.model.name.TaxonNameBase;
  *
  */
 @Component
-public class TaxonNodeByNameComparator extends AbstractStringComparator implements Comparator<TaxonNode>, ITaxonNodeComparator<TaxonNode> {
+public class TaxonNodeByNameComparator extends AbstractStringComparator<TaxonNode> implements Comparator<TaxonNode>, ITaxonNodeComparator<TaxonNode> {
 
 	private static final String HYBRID_SIGN = "\u00D7";
 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/TaxonRelationship.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/TaxonRelationship.java
index d90fab85d4..67fce80b38 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/TaxonRelationship.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/TaxonRelationship.java
@@ -1,8 +1,8 @@
 /**
 * Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -25,6 +25,8 @@ import org.apache.log4j.Logger;
 import org.hibernate.annotations.Cascade;
 import org.hibernate.annotations.CascadeType;
 import org.hibernate.envers.Audited;
+import org.hibernate.search.annotations.Indexed;
+import org.hibernate.search.annotations.IndexedEmbedded;
 
 import eu.etaxonomy.cdm.model.common.RelationshipBase;
 import eu.etaxonomy.cdm.model.reference.Reference;
@@ -34,7 +36,7 @@ import eu.etaxonomy.cdm.validation.annotation.ChildTaxaMustDeriveNameFromParent;
 import eu.etaxonomy.cdm.validation.annotation.ChildTaxaMustNotSkipRanks;
 
 /**
- * The class representing a relationship between two {@link Taxon ("accepted/correct") taxa}. 
+ * The class representing a relationship between two {@link Taxon ("accepted/correct") taxa}.
  * This includes a {@link TaxonRelationshipType taxon relationship type} (for instance "congruent to" or
  * "misapplied name for").
  * <P>
@@ -42,184 +44,193 @@ import eu.etaxonomy.cdm.validation.annotation.ChildTaxaMustNotSkipRanks;
  * <li> Relationship according to the TDWG ontology
  * <li> TaxonRelationship according to the TCS
  * </ul>
- * 
+ *
  * @author m.doering
  * @version 1.0
  * @created 08-Nov-2007 13:06:58
  */
 @XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "TaxonRelationship", propOrder = {
-	"relatedFrom",
-	"relatedTo",
-	"type"
+    "relatedFrom",
+    "relatedTo",
+    "type"
 })
 @XmlRootElement(name = "TaxonRelationship")
 @Entity
 @Audited
+@Indexed(index = "eu.etaxonomy.cdm.model.taxon.TaxonRelationship")
 @ChildTaxaMustBeLowerRankThanParent(groups = Level3.class)
 @ChildTaxaMustNotSkipRanks(groups = Level3.class)
 @ChildTaxaMustDeriveNameFromParent(groups = Level3.class)
 public class TaxonRelationship extends RelationshipBase<Taxon, Taxon, TaxonRelationshipType> {
-	private static final long serialVersionUID = 1378437971941534653L;
-	static private final Logger logger = Logger.getLogger(TaxonRelationship.class);
+    private static final long serialVersionUID = 1378437971941534653L;
+    static private final Logger logger = Logger.getLogger(TaxonRelationship.class);
 
-	@XmlElement(name = "RelatedFrom")
+    @XmlElement(name = "RelatedFrom")
     @XmlIDREF
     @XmlSchemaType(name = "IDREF")
     @ManyToOne(fetch=FetchType.EAGER)
     @Cascade({CascadeType.SAVE_UPDATE, CascadeType.MERGE})
-	private Taxon relatedFrom;
+    @IndexedEmbedded(depth=1)
+    private Taxon relatedFrom;
 
-	@XmlElement(name = "RelatedTo")
+    @XmlElement(name = "RelatedTo")
     @XmlIDREF
     @XmlSchemaType(name = "IDREF")
     @ManyToOne(fetch=FetchType.EAGER)
     @Cascade({CascadeType.SAVE_UPDATE, CascadeType.MERGE})
-	private Taxon relatedTo;
-	
+    @IndexedEmbedded(depth=1)
+    private Taxon relatedTo;
+
     @XmlElement(name = "Type")
     @XmlIDREF
     @XmlSchemaType(name = "IDREF")
     @ManyToOne(fetch=FetchType.EAGER)
-	private TaxonRelationshipType type;
-	
-	/**
-	 * @deprecated for hibernate only, don't use
-	 */
-	@Deprecated
-	private TaxonRelationship(){		
-	}
-	
-	/**
-	 * Class constructor: creates a new taxon relationship instance (with the
-	 * given "accepted/correct" {@link Taxon taxa}, the given {@link SynonymRelationshipType synonym relationship type}
-	 * and with the {@link eu.etaxonomy.cdm.model.reference.Reference reference source} on which the relationship
-	 * assertion is based). Moreover the new taxon relationship will be added to
-	 * the respective sets of taxon relationships assigned to both taxa.
-	 * 
-	 * @param from 						the taxon instance to be involved as a source in the new taxon relationship
-	 * @param to						the taxon instance to be involved as a target in the new taxon relationship
-	 * @param type						the taxon relationship type of the new taxon relationship
-	 * @param citation					the reference source for the new taxon relationship
-	 * @param citationMicroReference	the string with the details describing the exact localisation within the reference
-	 * @see 							eu.etaxonomy.cdm.model.common.RelationshipBase
-	 */
-	protected TaxonRelationship(Taxon from, Taxon to, TaxonRelationshipType type, Reference citation, String citationMicroReference) {
-		super(from, to, type, citation, citationMicroReference);
-	}
-	
-	/** 
-	 * Returns the {@link Taxon taxon} involved as a source in <i>this</i>
-	 * taxon relationship.
-	 *  
-	 * @see    #getToTaxon()
-	 * @see    Taxon#getRelationsFromThisTaxon()
-	 * @see    eu.etaxonomy.cdm.model.common.RelationshipBase#getRelatedFrom()
-	 * @see    eu.etaxonomy.cdm.model.common.RelationshipBase#getType()
-	 */
-	@Transient
-	public Taxon getFromTaxon(){
-		return getRelatedFrom();
-	}
-	/** 
-	 * Sets the given {@link Taxon taxon} as a source in <i>this</i> taxon relationship.
-	 * Therefore <i>this</i> taxon relationship will be added to the corresponding
-	 * set of taxon relationships assigned to the given taxon. Furthermore if
-	 * the given taxon replaces an "old" one <i>this</i> taxon relationship will
-	 * be removed from the set of taxon relationships assigned to the "old"
-	 * source taxon.
-	 *  
-	 * @param fromTaxon	the taxon instance to be set as a source in <i>this</i> synonym relationship
-	 * @see    			#getFromTaxon()
-	 */
-	public void setFromTaxon(Taxon fromTaxon){
-		setRelatedFrom(fromTaxon);
-	}
-
-	/** 
-	 * Returns the {@link Taxon taxon} involved as a target in <i>this</i>
-	 * taxon relationship.
-	 *  
-	 * @see    #getFromTaxon()
-	 * @see    Taxon#getRelationsToThisTaxon()
-	 * @see    eu.etaxonomy.cdm.model.common.RelationshipBase#getRelatedTo()
-	 * @see    eu.etaxonomy.cdm.model.common.RelationshipBase#getType()
-	 */
-	@Transient
-	public Taxon getToTaxon(){
-		return getRelatedTo();
-	}
-
-	/** 
-	 * Sets the given {@link Taxon taxon} as a target in <i>this</i> taxon relationship.
-	 * Therefore <i>this</i> taxon relationship will be added to the corresponding
-	 * set of taxon relationships assigned to the given taxon. Furthermore if
-	 * the given taxon replaces an "old" one <i>this</i> taxon relationship will
-	 * be removed from the set of taxon relationships assigned to the "old"
-	 * target taxon.
-	 *  
-	 * @param toTaxon	the taxon instance to be set as a target in <i>this</i> synonym relationship
-	 * @see    			#getToTaxon()
-	 */
-	public void setToTaxon(Taxon toTaxon){
-		setRelatedTo(toTaxon);
-	}
-
-	// for extra-package access to relatedFrom use getFromTaxon instead
-	protected Taxon getRelatedFrom() {
-		return relatedFrom;
-	}
-
-	// for extra-package access to relatedFrom use getToTaxon instead
-	protected Taxon getRelatedTo() {
-		return relatedTo;
-	}
-
-	public TaxonRelationshipType getType() {
-		return type;
-	}
-
-	protected void setRelatedFrom(Taxon relatedFrom) {
-		if (relatedFrom == null){
-			this.deletedObjects.add(this.relatedFrom);
-		}
-		this.relatedFrom = relatedFrom;
-	}
-
-	protected void setRelatedTo(Taxon relatedTo) {
-		if (relatedTo == null){
-			this.deletedObjects.add(this.relatedTo);
-		}
-		this.relatedTo = relatedTo;
-	}
-
-	public void setType(TaxonRelationshipType type) {
-		this.type = type;
-	}
-	
-	//*********************************** CLONE *****************************************/
-
-	/** 
-	 * Clones <i>this</i> TaxonRelationship. This is a shortcut that enables to create
-	 * a new instance that differs only slightly from <i>this</i> TaxonRelationship by
-	 * modifying only some of the attributes.
-	 * 
-	 * @see eu.etaxonomy.cdm.model.common.RelationshipBase#clone()
-	 * @see java.lang.Object#clone()
-	 */
-	@Override
-	public Object clone() {
-		TaxonRelationship result;
-		
-		try{
-			result = (TaxonRelationship) super.clone();
-			//no changes to relatedFrom, relatedTo, type
-			
-			return result;
-		} catch (CloneNotSupportedException e) {
-			logger.warn("Object does not implement cloneable");
-			e.printStackTrace();
-			return null;
-		}
-	}
+    @IndexedEmbedded(depth=1)
+    private TaxonRelationshipType type;
+
+    /**
+     * @deprecated for hibernate only, don't use
+     */
+    @Deprecated
+    private TaxonRelationship(){}
+
+    /**
+     * Class constructor: creates a new taxon relationship instance (with the
+     * given "accepted/correct" {@link Taxon taxa}, the given {@link SynonymRelationshipType synonym relationship type}
+     * and with the {@link eu.etaxonomy.cdm.model.reference.Reference reference source} on which the relationship
+     * assertion is based). Moreover the new taxon relationship will be added to
+     * the respective sets of taxon relationships assigned to both taxa.
+     *
+     * @param from 						the taxon instance to be involved as a source in the new taxon relationship
+     * @param to						the taxon instance to be involved as a target in the new taxon relationship
+     * @param type						the taxon relationship type of the new taxon relationship
+     * @param citation					the reference source for the new taxon relationship
+     * @param citationMicroReference	the string with the details describing the exact localisation within the reference
+     * @see 							eu.etaxonomy.cdm.model.common.RelationshipBase
+     */
+    protected TaxonRelationship(Taxon from, Taxon to, TaxonRelationshipType type, Reference citation, String citationMicroReference) {
+        super(from, to, type, citation, citationMicroReference);
+    }
+
+    /**
+     * Returns the {@link Taxon taxon} involved as a source in <i>this</i>
+     * taxon relationship.
+     *
+     * @see    #getToTaxon()
+     * @see    Taxon#getRelationsFromThisTaxon()
+     * @see    eu.etaxonomy.cdm.model.common.RelationshipBase#getRelatedFrom()
+     * @see    eu.etaxonomy.cdm.model.common.RelationshipBase#getType()
+     */
+    @Transient
+    public Taxon getFromTaxon(){
+        return getRelatedFrom();
+    }
+    /**
+     * Sets the given {@link Taxon taxon} as a source in <i>this</i> taxon relationship.
+     * Therefore <i>this</i> taxon relationship will be added to the corresponding
+     * set of taxon relationships assigned to the given taxon. Furthermore if
+     * the given taxon replaces an "old" one <i>this</i> taxon relationship will
+     * be removed from the set of taxon relationships assigned to the "old"
+     * source taxon.
+     *
+     * @param fromTaxon	the taxon instance to be set as a source in <i>this</i> synonym relationship
+     * @see    			#getFromTaxon()
+     */
+    public void setFromTaxon(Taxon fromTaxon){
+        setRelatedFrom(fromTaxon);
+    }
+
+    /**
+     * Returns the {@link Taxon taxon} involved as a target in <i>this</i>
+     * taxon relationship.
+     *
+     * @see    #getFromTaxon()
+     * @see    Taxon#getRelationsToThisTaxon()
+     * @see    eu.etaxonomy.cdm.model.common.RelationshipBase#getRelatedTo()
+     * @see    eu.etaxonomy.cdm.model.common.RelationshipBase#getType()
+     */
+    @Transient
+    public Taxon getToTaxon(){
+        return getRelatedTo();
+    }
+
+    /**
+     * Sets the given {@link Taxon taxon} as a target in <i>this</i> taxon relationship.
+     * Therefore <i>this</i> taxon relationship will be added to the corresponding
+     * set of taxon relationships assigned to the given taxon. Furthermore if
+     * the given taxon replaces an "old" one <i>this</i> taxon relationship will
+     * be removed from the set of taxon relationships assigned to the "old"
+     * target taxon.
+     *
+     * @param toTaxon	the taxon instance to be set as a target in <i>this</i> synonym relationship
+     * @see    			#getToTaxon()
+     */
+    public void setToTaxon(Taxon toTaxon){
+        setRelatedTo(toTaxon);
+    }
+
+    // for extra-package access to relatedFrom use getFromTaxon instead
+    @Override
+    protected Taxon getRelatedFrom() {
+        return relatedFrom;
+    }
+
+    // for extra-package access to relatedFrom use getToTaxon instead
+    @Override
+    protected Taxon getRelatedTo() {
+        return relatedTo;
+    }
+
+    @Override
+    public TaxonRelationshipType getType() {
+        return type;
+    }
+
+    @Override
+    protected void setRelatedFrom(Taxon relatedFrom) {
+        if (relatedFrom == null){
+            this.deletedObjects.add(this.relatedFrom);
+        }
+        this.relatedFrom = relatedFrom;
+    }
+
+    @Override
+    protected void setRelatedTo(Taxon relatedTo) {
+        if (relatedTo == null){
+            this.deletedObjects.add(this.relatedTo);
+        }
+        this.relatedTo = relatedTo;
+    }
+
+    @Override
+    public void setType(TaxonRelationshipType type) {
+        this.type = type;
+    }
+
+    //*********************************** CLONE *****************************************/
+
+    /**
+     * Clones <i>this</i> TaxonRelationship. This is a shortcut that enables to create
+     * a new instance that differs only slightly from <i>this</i> TaxonRelationship by
+     * modifying only some of the attributes.
+     *
+     * @see eu.etaxonomy.cdm.model.common.RelationshipBase#clone()
+     * @see java.lang.Object#clone()
+     */
+    @Override
+    public Object clone() {
+        TaxonRelationship result;
+
+        try{
+            result = (TaxonRelationship) super.clone();
+            //no changes to relatedFrom, relatedTo, type
+
+            return result;
+        } catch (CloneNotSupportedException e) {
+            logger.warn("Object does not implement cloneable");
+            e.printStackTrace();
+            return null;
+        }
+    }
 }
\ No newline at end of file
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/TaxonRelationshipType.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/TaxonRelationshipType.java
index 242b0e52d8..3bded84d97 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/TaxonRelationshipType.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/taxon/TaxonRelationshipType.java
@@ -10,7 +10,6 @@
 package eu.etaxonomy.cdm.model.taxon;
 
 import java.util.HashMap;
-import java.util.List;
 import java.util.Map;
 import java.util.UUID;
 
@@ -24,8 +23,8 @@ import org.apache.log4j.Logger;
 import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Indexed;
 
-import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.cdm.model.common.RelationshipTermBase;
+import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
 
 
@@ -44,7 +43,6 @@ import eu.etaxonomy.cdm.model.common.TermVocabulary;
  * </ul>
  * 
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:06:17
  */
 @XmlAccessorType(XmlAccessType.FIELD)
@@ -95,15 +93,17 @@ public class TaxonRelationshipType extends RelationshipTermBase<TaxonRelationshi
 	
 	private static final UUID uuidAllRelationships = UUID.fromString("831fcd88-e5c9-49e0-b06e-bbb67d1c05c9");
 	
+	public static TaxonRelationshipType NewInstance(String term, String label, String labelAbbrev, boolean symmetric, boolean transitive) {
+		return new TaxonRelationshipType(term, label, labelAbbrev, symmetric, transitive);
+	}	
 	
-// ************* CONSTRUCTORS *************/	
+	
+//********************************** CONSTRUCTOR *********************************/	
 
-	/** 
-	 * Class constructor: creates a new empty taxon relationship type instance.
-	 * 
-	 * @see 	#TaxonRelationshipType(String, String, String, boolean, boolean)
-	 */
-	public TaxonRelationshipType() {
+  	//for hibernate use only
+  	@Deprecated
+  	protected TaxonRelationshipType() {
+		super(TermType.TaxonRelationshipType);
 	}
 	/** 
 	 * Class constructor: creates an additional taxon relationship type
@@ -123,8 +123,8 @@ public class TaxonRelationshipType extends RelationshipTermBase<TaxonRelationshi
 	 * 						 relationship type to be created is transitive
 	 * @see 				 #TaxonRelationshipType()
 	 */
-	public TaxonRelationshipType(String term, String label, String labelAbbrev, boolean symmetric, boolean transitive) {
-		super(term, label, labelAbbrev, symmetric, transitive);
+	private TaxonRelationshipType(String term, String label, String labelAbbrev, boolean symmetric, boolean transitive) {
+		super(TermType.TaxonRelationshipType, term, label, labelAbbrev, symmetric, transitive);
 	}
 
 	
@@ -424,8 +424,8 @@ public class TaxonRelationshipType extends RelationshipTermBase<TaxonRelationshi
 		return getTermByUuid(uuidAllRelationships);
 	}
 	
-	@Override
-	public TaxonRelationshipType readCsvLine(Class<TaxonRelationshipType> termClass, List<String> csvLine, Map<UUID,DefinedTermBase> terms) {
-		return super.readCsvLine(termClass, csvLine, terms);
-	}
+//	@Override
+//	public TaxonRelationshipType readCsvLine(Class<TaxonRelationshipType> termClass, List<String> csvLine, Map<UUID,DefinedTermBase> terms) {
+//		return super.readCsvLine(termClass, csvLine, terms);
+//	}
 }
\ No newline at end of file
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/StrategyBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/StrategyBase.java
index 8e0de651ef..9f1d6374bd 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/StrategyBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/StrategyBase.java
@@ -14,9 +14,12 @@ import java.net.URI;
 import java.util.Collection;
 import java.util.UUID;
 
+import org.apache.commons.lang.StringUtils;
 import org.apache.log4j.Logger;
 import org.joda.time.DateTime;
 
+import eu.etaxonomy.cdm.common.CdmUtils;
+import eu.etaxonomy.cdm.common.DOI;
 import eu.etaxonomy.cdm.model.agent.Contact;
 import eu.etaxonomy.cdm.model.common.CdmBase;
 import eu.etaxonomy.cdm.model.common.LSID;
@@ -83,7 +86,8 @@ public abstract class StrategyBase implements IStrategy, Serializable {
 				fieldType == DateTime.class ||
 				fieldType == LSID.class ||
 				fieldType == Contact.class ||
-				fieldType == URI.class
+				fieldType == URI.class ||
+				fieldType == DOI.class
 			){
 				return true;
 		}else{
@@ -92,4 +96,24 @@ public abstract class StrategyBase implements IStrategy, Serializable {
 	}
 	
 	
+	/**
+	 * Null safe string. Returns the given string if it is not <code>null</code>.
+	 * Empty string otherwise. 
+	 * @see CdmUtils#Nz(String)
+	 * @return the null-safe string
+	 */
+	protected String Nz(String str){
+		return CdmUtils.Nz(str);
+	}
+	
+	/**
+	 * Checks if a string is blank.
+	 * @see StringUtils#isNotBlank(String)
+	 */
+	protected boolean isNotBlank(String str){
+		return StringUtils.isNotBlank(str);
+	}
+	
+	
+	
 }
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/common/TimePeriodPartialFormatter.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/common/TimePeriodPartialFormatter.java
new file mode 100644
index 0000000000..5ac3828b5b
--- /dev/null
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/common/TimePeriodPartialFormatter.java
@@ -0,0 +1,61 @@
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.strategy.cache.common;
+
+import org.joda.time.ReadablePartial;
+import org.joda.time.format.DateTimeFormatter;
+
+import eu.etaxonomy.cdm.model.common.TimePeriod;
+
+/**
+ * Formatter for {@link TimePeriod} instances.
+ * @author a.mueller
+ * @created 14-Jul-2013 (formerly inner class in TimePeriod)
+ *
+ */
+public class TimePeriodPartialFormatter extends DateTimeFormatter{
+	
+	public static TimePeriodPartialFormatter NewInstance(){
+		return new TimePeriodPartialFormatter();
+	}
+	
+	private TimePeriodPartialFormatter(){
+		super(null, null);
+	}
+	
+	@Override
+    public String print(ReadablePartial partial){
+		//TODO
+		String result = "";
+		String year = (partial.isSupported(TimePeriod.YEAR_TYPE))? String.valueOf(partial.get(TimePeriod.YEAR_TYPE)):null;
+		String month = (partial.isSupported(TimePeriod.MONTH_TYPE))? String.valueOf(partial.get(TimePeriod.MONTH_TYPE)):null;;
+		String day = (partial.isSupported(TimePeriod.DAY_TYPE))? String.valueOf(partial.get(TimePeriod.DAY_TYPE)):null;;
+
+		if (month !=null){
+			if (year == null){
+				year = "xxxx";
+			}
+		}
+		if (day != null){
+			if (month == null){
+				month = "xx";
+			}
+			if (year == null){
+				year = "xxxx";
+			}
+		}
+		result = (day != null)? day + "." : "";
+		result += (month != null)? month + "." : "";
+		result += (year != null)? year : "";
+
+		return result;
+	}
+
+}
\ No newline at end of file
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/description/SpecimenDescriptionDefaultCacheStrategy.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/description/SpecimenDescriptionDefaultCacheStrategy.java
index a4b2885619..eabcb5f610 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/description/SpecimenDescriptionDefaultCacheStrategy.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/description/SpecimenDescriptionDefaultCacheStrategy.java
@@ -12,7 +12,6 @@ package eu.etaxonomy.cdm.strategy.cache.description;
 import java.util.Set;
 import java.util.UUID;
 
-import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.model.common.Marker;
 import eu.etaxonomy.cdm.model.common.MarkerType;
 import eu.etaxonomy.cdm.model.description.SpecimenDescription;
@@ -32,15 +31,12 @@ public class SpecimenDescriptionDefaultCacheStrategy extends StrategyBase implem
 
 	public String getTitleCache(SpecimenDescription specimenDescription) {
 		String title;
-		Set<SpecimenOrObservationBase> specimens = specimenDescription.getDescribedSpecimenOrObservations(); 
-		if (specimens.isEmpty()){
+		SpecimenOrObservationBase specimen = specimenDescription.getDescribedSpecimenOrObservation(); 
+		if (specimen == null){
 			title = getFirstPart(specimenDescription);
 			title = title.replace(" for ", "");
 		}else{
-			title = null;
-			for (SpecimenOrObservationBase specimen : specimens){
-				title = CdmUtils.concat(",", title, specimen.getTitleCache());
-			}
+			title = specimen.getTitleCache();
 			title = getFirstPart(specimenDescription) + title;
 		}
 		return title;
